using System.Data;
using System.Data.SqlClient;
using Microsoft.Extensions.Configuration;

namespace Website.Data
{
	public class DatabaseProvider
	{
		private readonly string _connectionString;

		public DatabaseProvider(IConfiguration config) => _connectionString = config["connectionString"];

		public DatabaseProvider(string connectionString) => _connectionString = connectionString;

		public IDbConnection NewConnection() => new SqlConnection(_connectionString);
	}
}